// PD_FSUSB.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "PD_FSUSB.h"
#include "PD_FSUSBDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CPD_FSUSBApp

BEGIN_MESSAGE_MAP(CPD_FSUSBApp, CWinApp)
	ON_COMMAND(ID_HELP, &CWinApp::OnHelp)
END_MESSAGE_MAP()


// CPD_FSUSBApp construction

CPD_FSUSBApp::CPD_FSUSBApp()
{
	// TODO: add construction code here,
	// Place all significant initialization in InitInstance
}


// The one and only CPD_FSUSBApp object

CPD_FSUSBApp theApp;


// CPD_FSUSBApp initialization

BOOL CPD_FSUSBApp::InitInstance()
{
	// InitCommonControlsEx() is required on Windows XP if an application
	// manifest specifies use of ComCtl32.dll version 6 or later to enable
	// visual styles.  Otherwise, any window creation will fail.
	INITCOMMONCONTROLSEX InitCtrls;
	InitCtrls.dwSize = sizeof(InitCtrls);
	// Set this to include all the common control classes you want to use
	// in your application.
	InitCtrls.dwICC = ICC_WIN95_CLASSES;
	InitCommonControlsEx(&InitCtrls);

	CWinApp::InitInstance();

	// Standard initialization
	// If you are not using these features and wish to reduce the size
	// of your final executable, you should remove from the following
	// the specific initialization routines you do not need
	// Change the registry key under which our settings are stored
	// TODO: You should modify this string to be something appropriate
	// such as the name of your company or organization
	SetRegistryKey(_T("Microchip"));

	CPD_FSUSBDlg dlg;
	m_pMainWnd = &dlg;
	INT_PTR nResponse = dlg.DoModal();
	if (nResponse == IDOK)
	{
		// TODO: Place code here to handle when the dialog is
		//  dismissed with OK
	}
	else if (nResponse == IDCANCEL)
	{
		// TODO: Place code here to handle when the dialog is
		//  dismissed with Cancel
	}

	// Since the dialog has been closed, return FALSE so that we exit the
	//  application, rather than start the application's message pump.
	return FALSE;
}

void CPD_FSUSBApp::SetStatusMessage(LPCSTR psMsg)
{
	((CPD_FSUSBDlg*)m_pMainWnd)->SetStatus(psMsg);
}
void CPD_FSUSBApp::ShowWarning(LPCSTR ps)
{
	((CPD_FSUSBDlg*)m_pMainWnd)->ShowWarning(ps);
}
void CPD_FSUSBApp::ShowMessage(LPCSTR ps)
{
	((CPD_FSUSBDlg*)m_pMainWnd)->ShowMessage(ps);
}
void CPD_FSUSBApp::Logln(LPCSTR ps/*=NULL*/)
{
	((CPD_FSUSBDlg*)m_pMainWnd)->Logln(ps);
}
void CPD_FSUSBApp::ClearLog()
{
	((CPD_FSUSBDlg*)m_pMainWnd)->ClearLog();
}


CString FmtStr(LPCSTR psFmt, ...)
{
	CString ret;
	va_list argptr;
	va_start(argptr, psFmt);
	ret.FormatV(psFmt, argptr);
	va_end(argptr);
	return ret;
}

void CPD_FSUSBApp::ProcessMessages()
{
	MSG msg;
	while(::PeekMessage(&msg, NULL, 0, 0, PM_REMOVE)) 
	{
		TranslateMessage(&msg);
		DispatchMessage(&msg);
	}
	Sleep(1);
}
